StarTableInternal::Table Class Reference documentation

StarTableInternal::Table Class Reference

class to store a table data in a sdw file More...

## Public Member Functions
| Table ()
| the constructor
void | updateColumnsPosition ()
| try use the xdimension to compute the final col positions
bool | read (StarZone &zone, StarObjectText &object)
| try to read the data
bool | send (STOFFListenerPtr listener, StarState &state)
| try to send the data to a listener

## Public Attributes
bool | m_headerRepeated
| flag to know if the header is repeated
int | m_numBoxes
| the number of boxes
int | m_chgMode
| the change mode
STOFFVec2i | m_dimension
| the dimension
float | m_minColWidth
| the minimal col width
std::shared_ptr< StarFormatManagerInternal::FormatDef > | m_format
| the table format
std::vector< std::shared_ptr< StarFormatManagerInternal::FormatDef > > | m_formatList
| map format id to format def
std::vector< std::shared_ptr< StarTableInternal::TableLine > > | m_lineList
| the list of line
std::set< float > | m_xPositionSet
| the list of x position
std::vector< float > | m_columnWidthList
| the column width
std::map< int, std::vector< StarTableInternal::TableBox * > > | m_rowToBoxMap
| the list of row to box

## Detailed Description

class to store a table data in a sdw file

## Constructor & Destructor Documentation

## ◆ Table()

StarTableInternal::Table::Table | ( |  | ) |
| inline

the constructor

## Member Function Documentation

## ◆ read()

bool StarTableInternal::Table::read | ( | StarZone & | zone,
|  | StarObjectText & | object )

try to read the data

## ◆ send()

bool StarTableInternal::Table::send | ( | STOFFListenerPtr | listener,
|  | StarState & | state )

try to send the data to a listener

## ◆ updateColumnsPosition()

void StarTableInternal::Table::updateColumnsPosition | ( |  | ) |

try use the xdimension to compute the final col positions

Referenced by send().

## Member Data Documentation

## ◆ m_chgMode

int StarTableInternal::Table::m_chgMode

the change mode

Referenced by read(), and Table().

## ◆ m_columnWidthList

std::vector<float> StarTableInternal::Table::m_columnWidthList

the column width

Referenced by send(), Table(), and updateColumnsPosition().

## ◆ m_dimension

STOFFVec2i StarTableInternal::Table::m_dimension

the dimension

Referenced by read(), send(), and Table().

## ◆ m_format

std::shared_ptr<StarFormatManagerInternal::FormatDef> StarTableInternal::Table::m_format

the table format

Referenced by read(), send(), and Table().

## ◆ m_formatList

std::vector<std::shared_ptr<StarFormatManagerInternal::FormatDef> > StarTableInternal::Table::m_formatList

map format id to format def

Referenced by StarTableInternal::TableBox::read(), StarTableInternal::TableLine::read(), Table(), StarTableInternal::TableBox::updatePosition(), and StarTableInternal::TableLine::updatePosition().

## ◆ m_headerRepeated

bool StarTableInternal::Table::m_headerRepeated

flag to know if the header is repeated

Referenced by read(), and Table().

## ◆ m_lineList

std::vector<std::shared_ptr<StarTableInternal::TableLine> > StarTableInternal::Table::m_lineList

the list of line

Referenced by read(), send(), and Table().

## ◆ m_minColWidth

float StarTableInternal::Table::m_minColWidth

the minimal col width

Referenced by send(), Table(), updateColumnsPosition(), and StarTableInternal::TableBox::updatePosition().

## ◆ m_numBoxes

int StarTableInternal::Table::m_numBoxes

the number of boxes

Referenced by read(), and Table().

## ◆ m_rowToBoxMap

std::map<int, std::vector<StarTableInternal::TableBox *> > StarTableInternal::Table::m_rowToBoxMap

the list of row to box

Referenced by send(), Table(), updateColumnsPosition(), and StarTableInternal::TableBox::updatePosition().

## ◆ m_xPositionSet

std::set<float> StarTableInternal::Table::m_xPositionSet

the list of x position

Referenced by send(), Table(), updateColumnsPosition(), and StarTableInternal::TableBox::updatePosition().

The documentation for this class was generated from the following file:

- StarTable.cxx